<script>
export default {
  globalData: {
    fuid: 0,
  },
  onLaunch(data) {
    if (data && data.query && data.query.fuid) {
      this.globalData.fuid = data.query.fuid;
    }

    // #ifdef MP-WEIXIN
    const updateManager = wx.getUpdateManager();

    updateManager.onCheckForUpdate(function (res) {
      // 请求完新版本信息的回调
      console.log("请求完新版本信息的回调", res.hasUpdate);
    });

    updateManager.onUpdateReady(function () {
      wx.showModal({
        title: "更新提示",
        content: "新版本已经准备好，是否重启应用？",
        success: function (res) {
          if (res.confirm) {
            // 新的版本已经下载好，调用 applyUpdate 应用新版本并重启
            updateManager.applyUpdate();
          }
        },
      });
    });

    updateManager.onUpdateFailed(function () {
      console.log("新版本下载失败");
    });
    // #endif
  },
  onShow(data) {
    if (data && data.query && data.query.fuid) {
      this.globalData.fuid = data.query.fuid;
    }
  },
  onHide() {
    console.log("App Hide");
  },
};
</script>

<style lang="scss">
@import "@/assets/css/style.css";
@import "@/assets/css/common.scss";
</style>
